Package net.shibboleth.idp.profile.logic

# Class DateAttributePredicate

java.lang.Object
net.shibboleth.profile.context.logic.AbstractAttributePredicate
net.shibboleth.profile.context.logic.DateAttributePredicate
net.shibboleth.idp.profile.logic.DateAttributePredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

@Deprecated(since="5.0.0", forRemoval=true) public class DateAttributePredicate extends DateAttributePredicate
Deprecated, for removal: This API element is subject to removal in a future version.
Deprecated stub for relocated class.

## Constructor Summary

Constructors
Constructor
Description
`DateAttributePredicate(String attribute)`
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new instance that performs date comparisons against the given attribute.
`DateAttributePredicate(String attribute, String formatString)`
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new instance that performs date comparisons against the given attribute using the given date parser.
`DateAttributePredicate(String attribute, DateTimeFormatter formatter)`
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new instance that performs date comparisons against the given attribute using the given date parser.

## Method Summary

### Methods inherited from class net.shibboleth.profile.context.logic.DateAttributePredicate

`allowNullAttributeContext, hasMatch, setOffset, setResultIfMissing`

### Methods inherited from class net.shibboleth.profile.context.logic.AbstractAttributePredicate

`getAttributeContextLookupStrategy, isUseUnfilteredAttributes, setAttributeContextLookupStrategy, setUseUnfilteredAttributes, test`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### DateAttributePredicate

public DateAttributePredicate(@Nonnull @NotEmpty @ParameterName(name="attribute") String attribute)
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new instance that performs date comparisons against the given attribute.

Parameters:
  `attribute` - Attribute name that provides candidate date values to test.

### DateAttributePredicate

public DateAttributePredicate(@Nonnull @NotEmpty @ParameterName(name="attribute") String attribute, @Nonnull @ParameterName(name="formatter") DateTimeFormatter formatter)
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new instance that performs date comparisons against the given attribute using the given date parser.

Parameters:
  `attribute` - Attribute name that provides candidate date values to test.
  `formatter` - Date/time parser.

### DateAttributePredicate

public DateAttributePredicate(@Nonnull @NotEmpty @ParameterName(name="attribute") String attribute, @Nonnull @NotEmpty @ParameterName(name="formatString") String formatString)
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new instance that performs date comparisons against the given attribute using the given date parser.

Parameters:
  `attribute` - Attribute name that provides candidate date values to test.
  `formatString` - date/time parsing string, currently based on `DateTimeFormatter`